//
//  AppDelegate.h
//  CoreDataLibraryAppOSX
//
//  Created by Duncan Groenewald on 4/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "OSxCDStackManager.h"
#import "MainViewController.h"


/* Need to define these for the app - */
#define APP_NAME                            @"CoreDataLibraryApp"
#define COMPANY_ID                          @"au.com.ossh"
#define TEAM_ID                             @"HHWT75NS6T"
#define SQLITE_FILE_EXTENSION               @"sqlite"
#define APP_ID                              COMPANY_ID@"."APP_NAME
#define UBIQUITY_CONTAINER_KEY              TEAM_ID@"."COMPANY_ID@"." APP_NAME
#define UBID_TOKEN                          APP_ID@".UbiquityIdentityToken"
#define CLOUD_PREFERENCE_KEY                "UseICloudStorage"
#define CLOUD_PREFERENCE_SET                "iCloudStoragePreferenceSet"
#define BACKUP_PREFERENCE_KEY               "MakeBackup"
#define BACKGROUNDLOAD_PREFERENCE_KEY       "LoadInBackground"


@interface AppDelegate : NSObject <NSApplicationDelegate> {
    IBOutlet NSTextField *mainMessage;
    
    IBOutlet NSView *_mainContentView;
    MainViewController *_mainViewController;
    
    NSViewController *_currentContentViewController;

}

@property (assign) IBOutlet NSWindow *window;

//@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;
//@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
//@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;

- (IBAction)saveAction:(id)sender;
- (BOOL)validateUserInterfaceItem:(id < NSValidatedUserInterfaceItem >)anItem;
- (IBAction)loadAction:(id)sender;

@end
