//
//  Person.h
//  CoreDataLibraryAppOSX
//
//  Created by Duncan Groenewald on 6/02/2014.
//  Copyright (c) 2014 OSSH Pty Ltd. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@class Company, Contact;

@interface Person : NSManagedObject

@property (nonatomic, retain) NSString * email;
@property (nonatomic, retain) NSString * name;
@property (nonatomic, retain) NSString * phone;
@property (nonatomic, retain) Company *company;
@property (nonatomic, retain) NSSet *contacts;
@end

@interface Person (CoreDataGeneratedAccessors)

- (void)addContactsObject:(Contact *)value;
- (void)removeContactsObject:(Contact *)value;
- (void)addContacts:(NSSet *)values;
- (void)removeContacts:(NSSet *)values;

@end
